---
title: OscillatorNode.start()
slug: Web/API/OscillatorNode/start
tags:
  - API
  - Method
  - OscillatorNode
  - Reference
  - Web Audio API
  - start
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <strong><code>start</code></strong> method of the {{ domxref("OscillatorNode") }} interface specifies the exact time to start playing the tone. Its parameter is optional and default to <code>0</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">oscillator.start(<em>when</em>); // start playing oscillator at the point in time specified by <em>when</em></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>when</em> {{optional_inline}}</dt>
 <dd>An optional double representing the time (in seconds) when the oscillator should start, in the same coordinate system as {{ domxref("AudioContext") }}'s <code>currentTime</code> attribute. If a value is not included or is less than <code>currentTime</code>, the oscillator starts playing immediately.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>The following example shows basic usage of an {{ domxref("AudioContext") }} to create an oscillator node. For an applied example, check out our <a href="https://mdn.github.io/violent-theremin/">Violent Theremin demo</a> (<a href="https://github.com/mdn/violent-theremin/blob/gh-pages/scripts/app.js">see app.js</a> for relevant code).</p>

<pre class="brush: js;highlight[9]">// create web audio api context
var audioCtx = new (window.AudioContext || window.webkitAudioContext)();

// create Oscillator node
var oscillator = audioCtx.createOscillator();

oscillator.type = 'square';
oscillator.frequency.setValueAtTime(3000, audioCtx.currentTime); // value in hertz
oscillator.start();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audioscheduledsourcenode-start', 'start')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.OscillatorNode.start")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
